Create a new annotation
curl --request POST \
--url https://api.avidoai.com/v0/annotations \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"title": "Updated system prompt",
"description": "The system prompt was updated to include more examples",
"createdAt": "2024-08-04T09:19:00Z",
"traceStepId": "456e7890-e89b-12d3-a456-426614174000"
}
'import requests
url = "https://api.avidoai.com/v0/annotations"
payload = {
"title": "Updated system prompt",
"description": "The system prompt was updated to include more examples",
"createdAt": "2024-08-04T09:19:00Z",
"traceStepId": "456e7890-e89b-12d3-a456-426614174000"
}
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-application-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: 'Updated system prompt',
description: 'The system prompt was updated to include more examples',
createdAt: '2024-08-04T09:19:00Z',
traceStepId: '456e7890-e89b-12d3-a456-426614174000'
})
};
fetch('https://api.avidoai.com/v0/annotations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "789e4567-e89b-12d3-a456-426614174000",
"orgId": "org_123456",
"title": "Retrieval topK",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"description": "Change the topK on retrieval",
"traceStepId": "456e7890-e89b-12d3-a456-426614174000"
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Annotations
Create a new annotation
Creates a new annotation.
POST
/
v0
/
annotations
Create a new annotation
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Body
application/json
Request body for creating a new annotation
Title of the annotation
Example:
"Updated system prompt"
A description of what was changed in the application configuration
Example:
"The system prompt was updated to include more examples"
Custom creation date for the annotation (ISO8601 format)
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Example:
"2024-08-04T09:19:00Z"
Optional trace step ID to attach the annotation to a specific step
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"456e7890-e89b-12d3-a456-426614174000"
Response
Successfully created annotation
Successful response containing the annotation data
A single annotation indicating a change in the AI application configuration
Show child attributes
Show child attributes
⌘I